Subject: [DNSOP] [Michelle Cotton via RT] [IANA #1168741] Early Review: draft-ietf-dnsop-iana-class-type-yang-00

From: Ladislav Lhotka <[email-masked]>
Date: Wed, 13 May 2020 09:19:06 +0200

Hi,

IANA did an early review of the draft in $subj. As you can see below, Michelle proposes that the XSLT stylesheet be removed upon publication of the RFC.

I am personally not much in favour of doing so. First, I don't expect that any future changes to the stylesheet will be necessary or even possible: the rules for updating YANG modules (sec. 11 in RFC 7950) effectively block any substantial changes. So, if it ever turned out that the way how the registries are modelled in YANG needs to be change, it would most likely require an entirely new YANG module.

And, more importantly, the XSLT stylesheet is also kind of a formal record of the consensus regarding the mapping of registry data to YANG (there are indeed a few other options how to do it). If a change was necessary (modulo errata), then it is IMO appropriate to run it through the IETF process again.

Any thoughts on this?

Thanks, Lada

-------------------- Start of forwarded message --------------------
Precedence: bulk
Date: Fri, 08 May 2020 18:52:40 +0000

Hello Ladislav,

We have reviewed the 00 version of the document and we believe all seems to be in order.  The script has been tested and appears to work.

One suggestion we have is before publication of the document, the script be removed from the document.  If there are any adjustments needed in the future, it would be better not to have to update the RFC and be able to make changes as needed separately.

Thoughts on that approach?

--Michelle

On Fri Apr 24 06:18:48 2020, [email-masked] wrote:
> Hi Michelle,
> 
> thank you. We will wait with the next revision of the I-D till you
> finish the review.
> 
> Best regards,
> 
> Ladislav
> 
> On 23. 04. 20 22:26, Michelle Cotton via RT wrote:
> > Hello Ladislav and Petr,
> >
> > As indicated on the DNSOP WG meeting this morning, I have initiated
> > the early review of this document.  We will reply back (most likely
> > end of next week) with any comments and questions related to this
> > document.
> >
> > Just letting you know the review has commenced.
> >
> > Best regards,
> >
> > Michelle Cotton
> > Protocol Parameters Engagement Sr. Manager
> > IANA Services
> >

-------------------- End of forwarded message --------------------

-- 
Ladislav Lhotka 
Head, CZ.NIC Labs
PGP Key ID: 0xB8F92B08A9F76C67

---

From: Joe Abley <[email-masked]>
Date: Wed, 13 May 2020 06:25:56 -0400

Hi Lada,

> And, more importantly, the XSLT stylesheet is also kind of a formal record of the consensus regarding the mapping of registry data to YANG (there are indeed a few other options how to do it). If a…

You seem to have addressed Michelle's concern, above. Did you give that response to her as well as sending it to this list? What did she think?

Joe

---

From: Ladislav Lhotka <[email-masked]>
Date: Wed, 13 May 2020 14:49:52 +0200

> You seem to have addressed Michelle's concern, above. Did you give that response to her as well as sending it to this list? What did she think?

Yes, I did. Michelle's answer was:

  We can see what others think as the document goes through the process.
  During Last Call we will provide another review and comments.

I will now submit a new revision addressing the (minor) issues that we
have collected so far. Then the document could IMO proceed to WGLC.

Lada